Skip to main content
source_type
string
Filter by origin: manual, video_clipping, video_generation, url_import
Search by title or filename (case-insensitive partial match)
limit
number
default:"50"
Maximum number of results (max 100)
offset
number
default:"0"
Pagination offset
curl https://api.usenaive.ai/v1/media?source_type=video_clipping&limit=20 \
  -H "Authorization: Bearer nv_sk_live_..."
{
  "assets": [
    {
      "id": "asset-uuid",
      "upload_id": "job-job-uuid-1716201600000",
      "url": "https://submagic.pro/.../clip.mp4",
      "filename": "Best Moment.mp4",
      "content_type": "video/mp4",
      "size_bytes": null,
      "thumbnail_url": null,
      "source_type": "video_clipping",
      "source_job_id": "job-uuid",
      "title": "Best Moment",
      "description": null,
      "tags": ["clip", "virality:95"],
      "created_at": "2026-05-20T10:00:00Z",
      "updated_at": "2026-05-20T10:00:00Z"
    }
  ],
  "count": 1,
  "limit": 20,
  "offset": 0
}